Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class TypeModelFacetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.TypeModelFacetImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ModelFacet, TypeModelFacet

Direct Known Subclasses:
  TypeLinkModelFacetImpl

    public class TypeModelFacetImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements TypeModelFacet

An implementation of the model object 'Type Model Facet'.

The following features are implemented:

- `Meta Class`
- `Containment Meta Feature`
- `Child Meta Feature`
- `Model Element Selector`
- `Model Element Initializer`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `childMetaFeature` The cached value of the '`Child Meta Feature`' reference
`protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `containmentMetaFeature` The cached value of the '`Containment Meta Feature`' reference
`protected org.eclipse.emf.codegen.ecore.genmodel.GenClass` `metaClass` The cached value of the '`Meta Class`' reference
`protected GenElementInitializer` `modelElementInitializer` The cached value of the '`Model Element Initializer`' containment reference
`protected GenConstraint` `modelElementSelector` The cached value of the '`Model Element Selector`' reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `TypeModelFacetImpl()`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `basicGetChildMetaFeature()`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `basicGetContainmentMetaFeature()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `basicGetMetaClass()`
`GenConstraint` `basicGetModelElementSelector()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetModelElementInitializer(GenElementInitializer newModelElementInitializer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getChildMetaFeature()` Returns the value of the 'Child Meta Feature' reference
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getChildMetaFeatureGen()`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getContainmentMetaFeature()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getMetaClass()`
`GenElementInitializer` `getModelElementInitializer()`
`GenConstraint` `getModelElementSelector()`
`boolean` `isPhantomElement()`
`void` `setChildMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newChildMetaFeature)`
`void` `setContainmentMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newContainmentMetaFeature)`
`void` `setMetaClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass newMetaClass)`
`void` `setModelElementInitializer(GenElementInitializer newModelElementInitializer)`
`void` `setModelElementSelector(GenConstraint newModelElementSelector)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### metaClass

    protected org.eclipse.emf.codegen.ecore.genmodel.GenClass metaClass

  The cached value of the '`Meta Class`' reference.

  See Also:
    `getMetaClass()`
  ** Generated **
  Ordered:

### containmentMetaFeature

    protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature containmentMetaFeature

  The cached value of the '`Containment Meta Feature`' reference.

  See Also:
    `getContainmentMetaFeature()`
  ** Generated **
  Ordered:

### childMetaFeature

    protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature childMetaFeature

  The cached value of the '`Child Meta Feature`' reference.

  See Also:
    `getChildMetaFeature()`
  ** Generated **
  Ordered:

### modelElementSelector

    protected GenConstraint modelElementSelector

  The cached value of the '`Model Element Selector`' reference.

  See Also:
    `getModelElementSelector()`
  ** Generated **
  Ordered:

### modelElementInitializer

    protected GenElementInitializer modelElementInitializer

  The cached value of the '`Model Element Initializer`' containment reference.

  See Also:
    `getModelElementInitializer()`
  ** Generated **
  Ordered:

Constructor Detail

### TypeModelFacetImpl

    protected TypeModelFacetImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getMetaClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `TypeModelFacet`
  Returns:
    the value of the 'Meta Class' reference.
  See Also:
    `TypeModelFacet.setMetaClass(GenClass)`, `GMFGenPackage.getTypeModelFacet_MetaClass()`
  ** Generated **

### basicGetMetaClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass basicGetMetaClass()

  ** Generated **

### setMetaClass

    public void setMetaClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass newMetaClass)

  Specified by:
    `setMetaClass` in interface `TypeModelFacet`
  Parameters:
    `newMetaClass` - the new value of the 'Meta Class' reference.
  See Also:
    `TypeModelFacet.getMetaClass()`
  ** Generated **

### getContainmentMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature getContainmentMetaFeature()

  Specified by:
    `getContainmentMetaFeature` in interface `TypeModelFacet`
  Returns:
    the value of the 'Containment Meta Feature' reference.
  See Also:
    `TypeModelFacet.setContainmentMetaFeature(GenFeature)`, `GMFGenPackage.getTypeModelFacet_ContainmentMetaFeature()`
  ** Generated **

### basicGetContainmentMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature basicGetContainmentMetaFeature()

  ** Generated **

### setContainmentMetaFeature

    public void setContainmentMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newContainmentMetaFeature)

  Specified by:
    `setContainmentMetaFeature` in interface `TypeModelFacet`
  Parameters:
    `newContainmentMetaFeature` - the new value of the 'Containment Meta Feature' reference.
  See Also:
    `TypeModelFacet.getContainmentMetaFeature()`
  ** Generated **

### getChildMetaFeatureGen

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature getChildMetaFeatureGen()

  ** Generated **

### getChildMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature getChildMetaFeature()

  Description copied from interface: `TypeModelFacet`
  Returns the value of the 'Child Meta Feature' reference. Usually the same as containmentMetaFeature, unless you need to distinguish where to put and where to get from

  Specified by:
    `getChildMetaFeature` in interface `TypeModelFacet`
  Returns:
    the value of the 'Child Meta Feature' reference.
  See Also:
    `TypeModelFacet.setChildMetaFeature(GenFeature)`, `GMFGenPackage.getTypeModelFacet_ChildMetaFeature()`

### basicGetChildMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature basicGetChildMetaFeature()

  ** Generated **

### setChildMetaFeature

    public void setChildMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newChildMetaFeature)

  Specified by:
    `setChildMetaFeature` in interface `TypeModelFacet`
  Parameters:
    `newChildMetaFeature` - the new value of the 'Child Meta Feature' reference.
  See Also:
    `TypeModelFacet.getChildMetaFeature()`
  ** Generated **

### getModelElementSelector

    public GenConstraint getModelElementSelector()

  Specified by:
    `getModelElementSelector` in interface `TypeModelFacet`
  Returns:
    the value of the 'Model Element Selector' reference.
  See Also:
    `TypeModelFacet.setModelElementSelector(GenConstraint)`, `GMFGenPackage.getTypeModelFacet_ModelElementSelector()`
  ** Generated **

### basicGetModelElementSelector

    public GenConstraint basicGetModelElementSelector()

  ** Generated **

### setModelElementSelector

    public void setModelElementSelector(GenConstraint newModelElementSelector)

  Specified by:
    `setModelElementSelector` in interface `TypeModelFacet`
  Parameters:
    `newModelElementSelector` - the new value of the 'Model Element Selector' reference.
  See Also:
    `TypeModelFacet.getModelElementSelector()`
  ** Generated **

### getModelElementInitializer

    public GenElementInitializer getModelElementInitializer()

  Specified by:
    `getModelElementInitializer` in interface `TypeModelFacet`
  Returns:
    the value of the 'Model Element Initializer' containment reference.
  See Also:
    `TypeModelFacet.setModelElementInitializer(GenElementInitializer)`, `GMFGenPackage.getTypeModelFacet_ModelElementInitializer()`
  ** Generated **

### basicSetModelElementInitializer

    public org.eclipse.emf.common.notify.NotificationChain basicSetModelElementInitializer(GenElementInitializer newModelElementInitializer,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setModelElementInitializer

    public void setModelElementInitializer(GenElementInitializer newModelElementInitializer)

  Specified by:
    `setModelElementInitializer` in interface `TypeModelFacet`
  Parameters:
    `newModelElementInitializer` - the new value of the 'Model Element Initializer' containment reference.
  See Also:
    `TypeModelFacet.getModelElementInitializer()`
  ** Generated **

### isPhantomElement

    public boolean isPhantomElement()

  Specified by:
    `isPhantomElement` in interface `TypeModelFacet`
  ** Generated **
    NOT

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.